POST api/PlacementTest?prospectId={prospectId}&prospectResultStatus={prospectResultStatus}&settledLevelId={settledLevelId}&isPlacementTestTimeOut={isPlacementTestTimeOut}
Authorization
Access to this endpoint is public.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| prospectId | globally unique identifier |
Required |
|
| prospectResultStatus | boolean |
Required |
|
| settledLevelId | globally unique identifier |
Required |
|
| isPlacementTestTimeOut | boolean |
Required |
Body Parameters
PearsonEnglish.LearningServices.Data.DataModels.PlacementTestResultModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| ProspectId | globally unique identifier |
None. |
|
| InteractionId | globally unique identifier |
None. |
|
| Score | decimal number |
None. |
|
| Result | string |
None. |
|
| RemainingTime | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": "0209fd9a-c0ba-454a-a45d-7027d18681f6",
"ProspectId": "ac3f1cc5-7010-42a3-bcec-312e0b22cc80",
"InteractionId": "ecf01ce9-d3aa-47b4-8e79-5b58ae804291",
"Score": 4.1,
"Result": "sample string 5",
"RemainingTime": 6
}
Response Information
Resource Description
None.